Skip to main content
GET
/
v1
/
calls
/
{callId}
cURL
curl --request GET \
  --url https://api.buildwithchirp.com/v1/calls/{callId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "call_2DbBs7GWhGvVNJGrDXr5RG0mBWI",
  "appId": "app_2DbBs7GWhGvVNJGrDXr5RG0mBWI",
  "direction": "outbound",
  "status": "in_progress",
  "fromAddress": "+15551234567",
  "toAddress": "+15559876543",
  "fromChannel": "pstn",
  "toChannel": "pstn",
  "duration": 120,
  "endReason": "hangup",
  "metadata": {},
  "livekitRoomName": "<string>",
  "startedAt": "2026-01-15T10:30:00Z",
  "answeredAt": "2026-01-15T10:30:05Z",
  "endedAt": "2026-01-15T10:32:05Z",
  "createdAt": "2026-01-15T10:30:00Z"
}

Authorizations

Authorization
string
header
required

App API key (format: sk_live_app_* or sk_test_app_*) for app-level operations

Path Parameters

callId
string
required

Unique identifier for a Call. Format: call_[test_]{ksuid}

Pattern: ^call_(?:test_)?[a-zA-Z0-9]{27}$
Example:

"call_2DbBs7GWhGvVNJGrDXr5RG0mBWI"

Response

Call details

id
string
required

Unique identifier for a Call. Format: call_[test_]{ksuid}

Pattern: ^call_(?:test_)?[a-zA-Z0-9]{27}$
Example:

"call_2DbBs7GWhGvVNJGrDXr5RG0mBWI"

appId
string
required

Unique identifier for a App. Format: app_[test_]{ksuid}

Pattern: ^app_(?:test_)?[a-zA-Z0-9]{27}$
Example:

"app_2DbBs7GWhGvVNJGrDXr5RG0mBWI"

direction
enum<string>
required
Available options:
inbound,
outbound
Example:

"outbound"

status
enum<string>
required

Current call status

Available options:
initiated,
ringing,
in_progress,
voicemail,
completed,
failed,
busy,
no_answer,
canceled
Example:

"in_progress"

fromAddress
string
required
Example:

"+15551234567"

toAddress
string
required
Example:

"+15559876543"

fromChannel
enum<string>
required

Communication channel for the call leg

Available options:
pstn,
whatsapp,
webrtc
Example:

"pstn"

toChannel
enum<string>
required

Communication channel for the call leg

Available options:
pstn,
whatsapp,
webrtc
Example:

"pstn"

duration
number | null
required

Call duration in seconds

Example:

120

endReason
string | null
required

Reason the call ended

Example:

"hangup"

metadata
object
required

Arbitrary metadata attached to the call

livekitRoomName
string | null
required

LiveKit room name for WebRTC connections

startedAt
string<date-time> | null
required
Example:

"2026-01-15T10:30:00Z"

answeredAt
string<date-time> | null
required
Example:

"2026-01-15T10:30:05Z"

endedAt
string<date-time> | null
required
Example:

"2026-01-15T10:32:05Z"

createdAt
string<date-time>
required
Example:

"2026-01-15T10:30:00Z"